From f4c1abfbfc33ad95b5c216f1fcf132938c6377bc Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig.ringer@2ndquadrant.com>
Date: Thu, 17 Jun 2021 11:46:17 +0800
Subject: [PATCH v1 1/5] Make xlog.c vars PGDLLIMPORT

Allow extensions to see XactLastRecEnd, ProcLastRecPtr and
reachedConsistency.
---
 src/include/access/xlog.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/include/access/xlog.h b/src/include/access/xlog.h
index 77187c12be..e0b3a75d4d 100644
--- a/src/include/access/xlog.h
+++ b/src/include/access/xlog.h
@@ -97,11 +97,11 @@ typedef enum
 	RECOVERY_TARGET_TIMELINE_NUMERIC
 } RecoveryTargetTimeLineGoal;
 
-extern XLogRecPtr ProcLastRecPtr;
-extern XLogRecPtr XactLastRecEnd;
+extern PGDLLIMPORT XLogRecPtr ProcLastRecPtr;
+extern PGDLLIMPORT XLogRecPtr XactLastRecEnd;
 extern PGDLLIMPORT XLogRecPtr XactLastCommitEnd;
 
-extern bool reachedConsistency;
+extern PGDLLIMPORT bool reachedConsistency;
 
 /* these variables are GUC parameters related to XLOG */
 extern int	wal_segment_size;
-- 
2.31.1

